package com.vdocipher.flutter.vdoplayer;

import android.app.Activity;
import android.content.Context;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class VdoPlayerUiPlatformViewFactory extends PlatformViewFactory {
    @NonNull
    private final BinaryMessenger messenger;
    @NonNull
    private final View containerView;
    private Activity activity;

    VdoPlayerUiPlatformViewFactory(@NonNull BinaryMessenger messenger, @NonNull View containerView, @NonNull Activity activity) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.containerView = containerView;
        this.activity = activity;
    }

    @NonNull
    @Override
    public PlatformView create(@NonNull Context context, int id, @Nullable Object args) {
        final Map<String, Object> creationParams = (Map<String, Object>) args;
        return new VdoPlayerUiPlatformView(context, id, messenger, creationParams, activity);
    }
}