#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint vdocipher_flutter.podspec` to validate before publishing.
#

Pod::Spec.new do |s|
  s.name             = 'vdocipher_flutter'

  ############################################        IMP NOTE            *******************************************************
  #                   Upddate the latest version number before every flutter release same as pubspec.yaml
  ############################################ ########################## *******************************************************
  s.version          = '2.2.7'

  s.summary          = 'A Vdocipher encrypted playback flutter plugin project.'
  s.info_plist       = {'CFBundleIdentifier' => 'org.cocoapods.vdocipher-flutter',

############################################        IMP NOTE            *******************************************************
#                     These 3 values of version updates need to be updated before every flutter release
############################################ ########################## *******************************************************
                        'CFBundleShortVersionString' => '2.2.7',    # Flutter SDK Version No
                        'CFBundleVersion' => '25',      # SDK Build No
                        'PluginVersionCode' => '25'     # Build no - xcode not able to read any value other than string
  }
  #  s.info_plist.store('PluginVersionCode', 10)      # this type of dict merge of ruby doesnt work with xcode as no value other than string can be read in Info.plist file

  s.description      = <<-DESC
                        A new flutter plugin project, to play Vdocipher videos on iOS devices.
                       DESC
  s.homepage         = 'https://www.vdocipher.com'
  s.documentation_url= 'https://www.vdocipher.com/docs/mobile/flutter/getting-started'
  s..changelog       = 'https://www.vdocipher.com/docs/mobile/flutter/changelog'
# s.license          = { :file => '../LICENSE' }
  s.license          = { :type => 'VdoCipher License', :text => <<-LICENSE
    Copyright (c) 2023 VdoCipher Media Solutions Private Limited
    LICENSE
  }
  s.author           = { 'Mukul Jain © vdocipher.com' => 'mukul.jain@vdocipher.com' }
  s.source           = { :path => '.' }
  s.source_files     = 'Classes/**/*'
  s.platform         = :ios, '12.0'
  s.dependency 'Flutter'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES',
                            'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386',
                            'PRODUCT_BUNDLE_IDENTIFIER': 'org.cocoapods.vdocipher-flutter'
  }
# s.pod_target_xcconfig = { 'PRODUCT_BUNDLE_IDENTIFIER': 'org.cocoapods.vdocipher-flutter' }
  s.swift_version = '5.0'

  ############################################        IMP NOTE            *******************************************************
  #                   Upddate to the latest supported iOS SDK version number before every flutter release
  ############################################ ########################## *******************************************************
  s.dependency 'VdoFramework', '~> 2.4.1'

end
