import 'dart:collection';

import 'package:vdocipher_flutter/src/offline/download_options.dart';

/// Object containing a [DownloadOptions] and corresponding selections of tracks to download.
class DownloadSelections {
  final DownloadOptions _downloadOptions;
  final int _selectedVideoTrackIndex;
  final int? _selectedAudioTrackIndex;

  DownloadSelections(this._downloadOptions, this._selectedVideoTrackIndex,
      this._selectedAudioTrackIndex);

  static Map<String, Object> toMap(DownloadSelections downloadSelections) {
    Map<String, Object> downloadSelectionMap = HashMap();
    downloadSelectionMap['selectedVideoTrackId'] = downloadSelections
        ._downloadOptions
        .allVideo[downloadSelections._selectedVideoTrackIndex]
        .id;
    if (downloadSelections._selectedAudioTrackIndex != null) {
      downloadSelectionMap['selectedAudioTrackId'] = downloadSelections
          ._downloadOptions
          .allAudio[downloadSelections._selectedAudioTrackIndex!]
          .id;
    }
    downloadSelectionMap['downloadOptions'] =
        DownloadOptions.toMap(downloadSelections._downloadOptions);
    return downloadSelectionMap;
  }
}
