/// Options for video playback.
class EmbedInfoOptions {
  final String? safetyNetApiKey;
  final String? preferredCaptionsLanguage;
  final Duration? startPosition;
  final Duration? endPosition;
  final Duration? resumePosition;
  final int? maxVideoBitrateKbps;
  final int? bufferingGoalMs;
  final List<Object?>? techOverride;
  final bool disableAnalytics;
  final bool autoplay;
  final bool forceLowestBitrate;
  @Deprecated(
      "Call enterPictureInPictureMode() from android activity to switch to PiP mode.")
  final bool enablePip;
  final bool forceHighestSupportedBitrate;
  final bool allowAdbDebugging;
  final Map<Object?, Object?>? configMap;
  final String? customPlayerId;

  const EmbedInfoOptions(
      {this.safetyNetApiKey,
      this.preferredCaptionsLanguage,
      this.startPosition,
      this.endPosition,
      this.resumePosition,
      this.maxVideoBitrateKbps,
      this.bufferingGoalMs,
      this.techOverride,
      @Deprecated("Call enterPictureInPictureMode() from android activity to switch to PiP mode.")
          this.enablePip = false,
      this.autoplay = true,
      this.forceLowestBitrate = false,
      this.forceHighestSupportedBitrate = false,
      this.disableAnalytics = false,
      this.allowAdbDebugging = true,
      this.configMap,
      this.customPlayerId});

  Map<String, Object?> toMap() {
    return {
      'safetyNetApiKey': safetyNetApiKey,
      'preferredCaptionsLanguage': preferredCaptionsLanguage,
      'startTimeMs':
          startPosition == null ? null : startPosition!.inMilliseconds,
      'endTimeMs': endPosition == null ? null : endPosition!.inMilliseconds,
      'resumeTimeMs':
          resumePosition == null ? null : resumePosition!.inMilliseconds,
      'maxVideoBitrateKbps': maxVideoBitrateKbps,
      'bufferingGoalMs': bufferingGoalMs,
      'techOverride': techOverride,
      'disableAnalytics': disableAnalytics,
      'autoplay': autoplay,
      'forceLowestBitrate': forceLowestBitrate,
      'forceHighestSupportedBitrate': forceHighestSupportedBitrate,
      'allowAdbDebugging': allowAdbDebugging,
      'configMap': configMap,
      'customPlayerId': customPlayerId,
    };
  }
}
