/// Representation of an audio track.
class AudioTrack {
  /// A unique identifier for the track in a playback session
  final int id;

  /// Language code for the track
  final String? language;

  /// Bitrate in kbps
  final int? bitrate;

  const AudioTrack({required this.id, this.language, this.bitrate});

  @override
  bool operator ==(Object other) {
    return other is AudioTrack &&
        id == other.id &&
        language == other.language &&
        bitrate == other.bitrate;
  }

  @override
  int get hashCode => super.hashCode;
}
