/// Representation of a subtitle track.
class SubtitleTrack {
  /// A unique identifier for the track in a playback session
  final int id;

  /// Language code for the track
  final String? language;

  const SubtitleTrack({required this.id, this.language});

  @override
  bool operator ==(Object other) {
    return other is SubtitleTrack &&
        id == other.id &&
        language == other.language;
  }

  @override
  int get hashCode => super.hashCode;
}
