/// Representation of a video track.
class VideoTrack {
  /// A unique identifier for the track in a playback session
  final int id;

  /// Bitrate in kbps
  final int? bitrate;

  // Width of the track in px
  final int? width;

  // Height of the track in px
  final int? height;

  const VideoTrack({required this.id, this.bitrate, this.width, this.height});

  @override
  bool operator ==(Object other) {
    return other is VideoTrack &&
        id == other.id &&
        bitrate == other.bitrate &&
        width == other.width &&
        height == other.height;
  }

  @override
  int get hashCode => super.hashCode;
}
