/// Details related to an error encountered during video playback.
class VdoError {
  final int code;
  final String message;
  final int? httpStatusCode;

  const VdoError(this.code, this.message, this.httpStatusCode);

  static VdoError fromMap(Map<Object?, Object?> errorInfoMap) {
    int errorCode = errorInfoMap['errorCode'] as int;
    String errorMsg = errorInfoMap['errorMsg'] as String;
    int? httpStatusCode = errorInfoMap['httpStatusCode'] as int?;
    return VdoError(errorCode, errorMsg, httpStatusCode);
  }
}
