import '../types/embed_info.dart';
import '../types/vdo_error.dart';

abstract class PlaybackEventListener {
  void onProgress(int millis);

  void onBufferUpdate(int bufferTime);

  void onPlaybackSpeedChanged(int speed);

  void onLoading(EmbedInfo embedInfo);

  void onLoaded(EmbedInfo embedInfo);

  void onLoadError(EmbedInfo embedInfo, VdoError vdoError);

  void onMediaEnded(EmbedInfo embedInfo);

  void onError(EmbedInfo embedInfo, VdoError vdoError);
}
