import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:vdocipher_flutter/src/vdocipher_method_channel.dart';
import 'package:vdocipher_flutter/vdocipher_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('vdocipher_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await VdocipherMethodChannel.nativeAndroidLibraryVersion, '42');
  });
}
